
Figure - Bug #111936
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT】【WIFI】【必现】部分网络地址和vlan冲突，导致wifi adb无法使用
2022-09-14 13:28 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-14

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: ETH Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: 0912号DB                                                         

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、设备路由器lan口地址为192.168.1.1

2、板子和pc处于同一局域网

3、pc端cmd内执行adb connect 192.168.1.xxx

实际结果：

1、wifi adb不可用

预期结果：、

2、wifi adb可以正常使用

History

#1 - 2022-09-14 15:22 - CD TPM-申艳艳

- Category changed from BSP to ETH

#2 - 2022-09-20 14:07 - ETH 黄鹏飞

现象：

1.wlan0的ip为 192.168.1.5（实际中可能该ip可能不同，跟路由器设置有关）

2.ping wlan0 无法成功

原因：

wifi和vlan1处于同一网段下，将会处于同一个路由表下，相关的数据只会走最先设置的ip的网卡，wlan0无法联通。

解决办法：

需要在wifi测额外设置不同的路由表，命令如下：

ip route add to 192.168.1.0/24 dev wlan0 table 20 //路由表20 走wlan0

ip rule add from 192.168.1.5/32 table 20   //源IP为192.168.1.5 走路由表20

注意： 如果当前程序是在vendor分区，必须使用/vendor/bin/ip，ip命令默认使用的是/system/bin/ip，不然有相关的selinux权限问题

由于底层无法提前得知wlan0的ip地址，需要wifi侧进行设置相关命令，麻烦栋哥设置下

#3 - 2022-09-20 14:10 - ETH 黄鹏飞
- Assignee changed from ETH 黄鹏飞 to CD LC-徐玺栋

#4 - 2022-09-23 14:29 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#5 - 2022-09-28 19:12 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#6 - 2022-09-29 01:06 - CD LC 陶洪普

- Assignee changed from CD LC-徐玺栋 to ETH 黄鹏飞

Hi 鹏飞

你好!

ip route add to 192.168.1.0/24 dev wlan0 table 20 //路由表20 走wlan0

ip rule add from 192.168.1.5/32 table 20 //源IP为192.168.1.5 走路由表20

添加这个路由的原因是,ETH 添加的这个静态地址网段的路由是吗? 比如 ip rule add from 192.168.1.x/24 table yy

因Eth是固定静态地址,是否可以指定固定地址?

#7 - 2022-10-18 09:59 - ETH 黄鹏飞

- Status changed from New to RESOLVED

- Assignee changed from ETH 黄鹏飞 to CD LC 陶洪普

- % Done changed from 0 to 100

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/ethernet/+/153277

陶哥现在的comment规则无法确认，同时还有VB编译，麻烦帮忙做一下然后入库了

#8 - 2022-10-21 10:47 - SZTS_TEST 邹涛

请研发提供在哪个版本上验证

#9 - 2022-10-21 10:58 - SZTS_TEST 邹涛

- Status changed from RESOLVED to ASSIGNED

和研发陶洪普沟通，这个bug设计两个部分的修改, 目前Eth部分修改完成, wifi这边的DHCP还没有修改完.

#10 - 2022-10-28 00:17 - CD LC 陶洪普

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/ethernet/+/153277

Add vlan route 已Merged.
#11 - 2022-10-28 00:19 - CD LC 陶洪普

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to SZTS_TEST 邹涛

已merged.

因刚merged, 不确定是否包含在10.28日DB．待10.28确认或使用10.29DB确认．

谢谢！

#12 - 2022-10-28 18:15 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 刘勇

#13 - 2022-10-28 20:22 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0041.X101（1028_Release）

【前提条件】

1、DUT各模块功能正常且处于开机状态

【操作步骤】

1、设备路由器lan口地址为192.168.1.1

2、板子和pc处于同一局域网

3、pc端cmd内执行adb connect 192.168.1.xxx

【实际结果】2、wifi adb可以正常使用

【验证次数】3次

【验证结果】PASS,验证通过

#14 - 2022-10-28 20:22 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED
